Bug 585151 - Review Request: R-sciplot - Scientific Graphing Functions for Factorial Designs
Review Request: R-sciplot - Scientific Graphing Functions for Factorial Designs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 05:26 EDT by josef radinger
Modified: 2010-07-13 03:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: R-sciplot-1.0.7-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 02:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description josef radinger 2010-04-23 05:26:20 EDT
Spec URL: http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-sciplot.spec
SRPM URL: http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-sciplot-1.0-1.fc12.src.rpm
Description: 

A collection of functions that creates graphs with error bars for data collected
from one-way or higher factorial designs
Comment 1 Pierre-YvesChibon 2010-04-28 05:57:21 EDT
Quickly:
- Fix version
  The version of this package is 1.0.7 not 1.0 cf 
  http://fedoraproject.org/wiki/Packaging:R#R_version
- Fix %check
- Fix %changelog
  Please update the format of the changelog, the version-release should be on the same line as the changelog entree.
- Please include the README and the CHANGELOG as doc
Comment 2 josef radinger 2010-04-30 15:45:02 EDT
(In reply to comment #1)
> Quickly:
> - Fix version
>   The version of this package is 1.0.7 not 1.0 cf 
>   http://fedoraproject.org/wiki/Packaging:R#R_version
agreed

> - Fix %check
agreed

> - Fix %changelog
>   Please update the format of the changelog, the version-release should be on
> the same line as the changelog entree.
is an allowed format according to 
https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

> - Please include the README and the CHANGELOG as doc    
fixed

new SRPM:
http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-sciplot-1.0.7-2.fc12.src.rpm

and thanks for you time and input
Comment 3 Pierre-YvesChibon 2010-05-01 05:35:35 EDT
* source files match upstream:
   md5sum sciplot_1.0-7.tar.gz 
62bf0776b34339e38f547df46a24f1d6  sciplot_1.0-7.tar.gz
   md5sum rpmbuild/SOURCES/sciplot_1.0-7.tar.gz 
62bf0776b34339e38f547df46a24f1d6  rpmbuild/SOURCES/sciplot_1.0-7.tar.gz

* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in koji (http://koji.fedoraproject.org/koji/taskinfo?taskID=2152947).
* package installs properly
* rpmlint is silent.
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.
* final provides and requires are sane
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

** APPROVED **
Comment 4 josef radinger 2010-05-01 11:53:32 EDT
how did you generate that list? is this from a script?
thanks.
Comment 5 josef radinger 2010-05-01 12:00:02 EDT
New Package CVS Request
=======================
Package Name: R-sciplot
Short Description: Scientific Graphing Functions for Factorial Designs
Owners: cheese
Branches: F-12 F-13
InitialCC: cheese
Comment 6 Pierre-YvesChibon 2010-05-01 12:22:57 EDT
(In reply to comment #4)
> how did you generate that list? is this from a script?
> thanks.    

From a former review of mine, and following the review guidelines.
Comment 7 Kevin Fenzi 2010-05-03 22:55:31 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-05-05 02:30:06 EDT
R-sciplot-1.0.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/R-sciplot-1.0.7-2.fc12
Comment 9 Fedora Update System 2010-05-05 02:31:21 EDT
R-sciplot-1.0.7-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-sciplot-1.0.7-2.fc13
Comment 10 Pierre-YvesChibon 2010-05-06 13:52:50 EDT
arf I am seen this too late, you are missing this:
BuildRequires:    R-devel, tex(latex)
see http://fedoraproject.org/wiki/Packaging/R
Comment 11 Fedora Update System 2010-05-08 08:43:17 EDT
R-sciplot-1.0.7-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/R-sciplot-1.0.7-4.fc12
Comment 12 Fedora Update System 2010-05-08 08:43:20 EDT
R-sciplot-1.0.7-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-sciplot-1.0.7-4.fc13
Comment 13 Fedora Update System 2010-07-13 03:25:06 EDT
R-sciplot-1.0.7-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-07-13 03:34:02 EDT
R-sciplot-1.0.7-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.